Bug 83958 - TRACK CHANGES: Automatic activation of the changes toolbar when a track changes document opens
Summary: TRACK CHANGES: Automatic activation of the changes toolbar when a track chang...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0
Keywords: needsDevEval
Depends on:
Blocks: Track-Changes
  Show dependency treegraph
 
Reported: 2014-09-17 01:17 UTC by Yousuf Philips (jay) (retired)
Modified: 2020-12-30 12:39 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-09-17 01:17:03 UTC
As stated by Michael Meeks in bug 47677 comment 25, "I'd love it as a stock toolbar that automatically shows up for documents with red-lining enabled :-)", it would be useful for the changes toolbar to automatically appear when a document with track changes is opened.
Comment 1 A (Andy) 2014-11-01 22:20:20 UTC
I would expect it that way.
Comment 2 Björn Michaelsen 2014-12-02 10:53:13 UTC
adding LibreOffice developer list as CC to unresolved Writer EasyHacks for better visibility.

see e.g. http://nabble.documentfoundation.org/minutes-of-ESC-call-td4076214.html for details
Comment 3 Robinson Tryon (qubit) 2015-12-10 07:20:13 UTC Comment hidden (obsolete)
Comment 4 Commit Notification 2020-11-10 13:59:06 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/afbbfb3b55beb937555a972d9edbb47ede91001a

tdf#83958: sw: enable Track Changes toolbar automatically

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 NISZ LibreOffice Team 2020-12-09 15:30:04 UTC
Verifed in: 

Version: 7.2.0.0.alpha0+ (x64)
Build ID: e4dc69b2b97dbd56bd55e514a5abcbd3c2a2f2fb
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Vulkan; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded